Kubuntu-package fails due to dependency on kdebase-workspace-data (which does not exist)

Asked by zielgruppe on 2009-09-24

Binary package hint: kdebase-workspace

I made an update which accidentally removed the package "kubuntu-desktop". Re-installing it fails, since it depends on "kdebase-workspace-bin". kdebase-workspace-bin 4:4.3.1-0ubuntu6 is in the repositories, and depends on kdebase-workspace-data (= 4:4.3.1-0ubuntu6). The same is true for the just uploaded "ubuntu7"-version. But only kdebase-workspace-data 4:4.3.1-0ubuntu5 is in the repository.

What I am missing (and I had expected): The entry "kde" in my KDM

#lsb_release -rd
Description: Ubuntu karmic (development branch)
Release: 9.10

#cat /etc/apt/sources.list
deb http://de.archive.ubuntu.com/ubuntu/ karmic main restricted main multiverse universe
deb-src http://de.archive.ubuntu.com/ubuntu/ karmic restricted main multiverse universe
deb http://de.archive.ubuntu.com/ubuntu/ karmic-updates main restricted main multiverse universe
deb-src http://de.archive.ubuntu.com/ubuntu/ karmic-updates restricted main multiverse universe
deb http://de.archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse
deb http://archive.canonical.com/ubuntu karmic partner
deb-src http://archive.canonical.com/ubuntu karmic partner

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu kdebase-workspace Edit question
Assignee:
No assignee Edit question
Solved by:
zielgruppe
Solved:
Last query:
Last reply:
Jonathan Thomas (echidnaman) said : #1

The mirror you are using (de.archive.ubuntu.com) is running a bit behind. It should update soon. If not, you can change the mirror from the software sources editor accessible from KPackageKit.

Jonathan Thomas (echidnaman) said : #2

Actually, it's a somewhat similar issue:
[06:39:04] <Riddelll> it didn't compile on i386 where the -data package is compiled, so there was version skew and it couldn't get installed

Anyway, it'll be fixed once the newest version uploaded gets built.

zielgruppe (pajoma-gmx) said : #3

Ok, thanks, I am going to wait for the update then. I guess the mirror en.archive.ubuntu.com is the most current one, right?